aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xml2rfc/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-11-06 15:50:13 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-11-20 10:27:30 +0000
commit888fadb399486090fc37d7ba491b9ec2a42da721 (patch)
tree984a0e1e538b5016d8ae6f559534d31359271fc6 /testing/xml2rfc/APKBUILD
parenta159c43eb19d0976e6517a4dc83a35bb2ebfa176 (diff)
downloadaports-888fadb399486090fc37d7ba491b9ec2a42da721.tar.gz
aports-888fadb399486090fc37d7ba491b9ec2a42da721.tar.bz2
aports-888fadb399486090fc37d7ba491b9ec2a42da721.tar.xz
testing/xml2rfc: upgrade to 2.4.2
Diffstat (limited to 'testing/xml2rfc/APKBUILD')
-rw-r--r--testing/xml2rfc/APKBUILD19
1 files changed, 13 insertions, 6 deletions
diff --git a/testing/xml2rfc/APKBUILD b/testing/xml2rfc/APKBUILD
index bb0e368c09..95938cd76e 100644
--- a/testing/xml2rfc/APKBUILD
+++ b/testing/xml2rfc/APKBUILD
@@ -1,9 +1,9 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=xml2rfc
-pkgver=2.4.1
+pkgver=2.4.2
pkgrel=0
-pkgdesc="a tool for converting XML documents into internet drafts and RFCs"
+pkgdesc="A tool for converting XML documents into internet drafts and RFCs"
url="http://tools.ietf.org/"
arch="noarch"
license="BSD"
@@ -12,9 +12,9 @@ depends_dev=""
makedepends="$depends_dev py-setuptools"
install=""
subpackages=""
-source="http://pypi.python.org/packages/source/x/xml2rfc/xml2rfc-$pkgver.tar.gz"
+source="http://pypi.python.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
-_builddir="$srcdir"/xml2rfc-$pkgver
+_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
local i
cd "$_builddir"
@@ -25,9 +25,16 @@ prepare() {
done
}
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir" || return 1
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
-md5sums="abcca3da5ce2579e22bc6140edb0f484 xml2rfc-2.4.1.tar.gz"
+md5sums="cd6a2aba2e82cfc09d87046dd0493b9b xml2rfc-2.4.2.tar.gz"
+sha256sums="60597904716b5ab96d48a0f50cead91a573bdfc0a842a4a37b512901e0ebd9b9 xml2rfc-2.4.2.tar.gz"
+sha512sums="9122b0dbc0c4105e85c8a2d7323e7cec70418e273c2369d814eafb576a05d3f80413e34d1e46c9af5ef07a6eec94c0839123cc3ec296bc3a3f6831b743d003b0 xml2rfc-2.4.2.tar.gz"